CVE-2019-1010220

NameCVE-2019-1010220
Descriptiontcpdump.org tcpdump 4.9.2 is affected by: CWE-126: Buffer Over-read. The impact is: May expose Saved Frame Pointer, Return Address etc. on stack. The component is: line 234: "ND_PRINT((ndo, "%s", buf));", in function named "print_prefix", in "print-hncp.c". The attack vector is: The victim must open a specially crafted pcap file.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
NVD severitymedium (attack range: remote)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
tcpdump (PTS)jessie4.9.2-1~deb8u1vulnerable
jessie (security)4.9.3-1~deb8u1vulnerable
stretch (security), stretch4.9.2-1~deb9u1vulnerable
buster4.9.2-3vulnerable
bullseye4.9.3~git20190901-2vulnerable
sid4.9.3-2vulnerable

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
tcpdumpsource(unstable)(unfixed)unimportant

Notes

No security impact

Search for package or bug name: Reporting problems